Welcome to Driver Magician

Thank you for using Driver Magician

Driver Magician is an easy-to-use and powerful tool that helps you to extract device drivers from your hard disk and back up them to a specified location. When you reinstall operation system after system crash, Driver Magician can restore drivers from backup quickly and easily without inserting driver disk one after another to install them. Moreover, Driver Magician can back up and restore more items such as My Documents folder, Desktop, Registry, Internet Explorer favorite folder, Outlook Express mail files, Outlook Express mail rule, Outlook Express mail accounts and Outlook Express address book.

Features

Back up device driver files of your computer easily and quickly.
Restore device drivers from backup easily and quickly.
Back up more items such as My Documents, Registry and all information of Outlook Express.
Restore more items from backup.


License

END-USER LICENSE AGREEMENT FOR THIS SOFTWARE

This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and the mentioned author of this Software for the software product identified above, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT.

SOFTWARE PRODUCT LICENSE
The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

1. GRANT OF LICENSE.
This EULA grants you the following rights: Installation and Use. You may install and use an unlimited number of copies of the SOFTWARE PRODUCT.

Reproduction and Distribution. You may reproduce and distribute an unlimited number of copies of the SOFTWARE PRODUCT; provided that each copy shall be a true and complete copy, including all copyright and trademark notices, and shall be accompanied by a copy of this EULA. Copies of the SOFTWARE PRODUCT may be distributed as a standalone product or included with your own product.

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.
Limitations on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

Separation of Components.
The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use on more than one computer.

Software Transfer.
You may permanently transfer all of your rights under this EULA, provided the recipient agrees to the terms of this EULA.

Termination.
Without prejudice to any other rights, the Author of this Software may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.

Distribution.
The SOFTWARE PRODUCT may not be sold or be included in a product or package which intends to receive benefits through the inclusion of the SOFTWARE PRODUCT. The SOFTWARE PRODUCT may be included in any free or non-profit packages or products.

3. COPYRIGHT.
All title and copyrights in and to the SOFTWARE PRODUCT(including but not limited to any images, photographs, animations, video, audio, music, text, and "applets" incorporated into the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of the SOFTWARE PRODUCT are owned by the Author of this Software. The SOFTWARE PRODUCT is protected by copyright laws and international treaty provisions. Therefore, you must treat the SOFTWARE PRODUCT like any other copyrighted material except that you may install the SOFTWARE PRODUCT on a single computer provided you keep the original solely for backup or archival purposes.

LIMITED WARRANTY

NO WARRANTIES.
The Author of this Software expressly disclaims any warranty for the SOFTWARE PRODUCT. The SOFTWARE PRODUCT and any related documentation is provided "as is" without warranty of any kind, either express or implied, including, without limitation, the implied warranties or merchantability, fitness for a particular purpose, or noninfringement. The entire risk arising out of use or performance of the SOFTWARE PRODUCT remains with you.

NO LIABILITY FOR DAMAGES.
In no event shall the author of this Software be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this product, even if the Author of this Software has been advised of the possibility of such damages.

LIMITATIONS OF UNREGISTERED VERSION

You can use the SOFTWARE PRODUCT for evaluation purposes only for a period of 15 days. The unregistered copy of SOFTWARE PRODUCT has all the functions in the register version except the time limitation.

REGISTRATION

The SOFTWARE PRODUCT is not a free software. You are licensed to use one copy of SOFTWARE PRODUCT, on one (1) computer or workstation. The registration fee is only $25. See the SOFTWARE PRODUCT web site at http://www.drivermagician.com for more information about online ordering. When payment is received you will be sent a registration number of latest version of SOFTWARE PRODUCT.


Installation

To install Driver Magician from downloaded. Double-click the Setup program, it will be start.
The Setup program will issue a number of prompts. Unless you have a reason to override the defaults it is strongly recommended that you accept the installation default settings (just press OK, Yes, or Next, as appropriate).


Starting Driver Backup Plus

Starting Driver Magician

After you install Driver Magician on your computer, an application icon is placed on the desktop and in the Start menu.

To start Driver Magician, do one of the following:
Double-click the Driver Magician icon on the desktop.
Click Start | Programs, and select Driver Magician.


Uninstallation

There are two ways to uninstall Driver Magician should you wish to do so.
Control Panel
Activate the Control Panel, double click Add/Remove Programs, and double click the Driver Magician list box entry.
Start Menu
From the Start menu, click Programs, then Driver Magician, and then Uninstall Driver Magician.


System requirements

Before installing Driver Magician, it is necessary that your system include the following components:

  • Pentium 166MHz
  • Windows© 98, SE, ME, 2000, XP or 2003
  • 32 MB of available RAM (64 MB recommended) plus 6 MB of available disk space


Back Up Drivers

You can back up device drivers of your computer easily and quickly!

Driver Magician goes directly to driver backup function window after it runs. And a list of Non-Microsoft device drivers with some information about each of them shows in the listview. Click any device, the more detailed information of the selected device will show in the textbox.

You can also click the backup button and its submenu to retrieve a list of device driver of your machine.

The difference between "Search All Drivers" and "Search Non-Microsoft drivers" is that the former one search all device drivers including those packaged within Microsoft Windows operation system while the latter one only search drivers not contained in Windows. Because devices drivers which are contained in Windows operation system are automatically installed when detected by it, so it is NOT necessary to back up them. To let you distinguish Microsoft provided drivers and Non-Microsoft provided drivers easily, the latter one is in red font.

Select the device drivers you want to back up, then click "Start Backup" button, a dialog box will appear to let you select the directory to save your backup. After that, driver backup process begins and the selected device drivers will be backed up to the directory you choose.


Restore Drivers

You can restore device drivers of your computer from backup easily and quickly!

Fist, click "Restore" button in the toolbar and the program switches to driver restoration function. A dialog box appears to ask you where is your driver backup. After selecting the backup directory, a list of Non-Microsoft device drivers you have backed up shows in the listview with some information about each of them. Click any device , the more detailed information of the selected device will show in the textbox.

You can also click the submenu of "Restore" button to retrieve a list of device driver you have backed up.

The difference between "Show All Backed-Up Drivers" and "Show Backed-Up Non-Microsoft drivers" is that the former one shows all device drivers in the backup directory including those packaged within Microsoft Windows operation system while the latter one only show drivers not contained in Windows. Because devices drivers which are contained in Windows operation system are automatically installed when detected by it, so it is NOT necessary to restore them. To let you distinguish Microsoft provided drivers and Non-Microsoft provided drivers easily, the latter one is in red font.

Select the device drivers you want to restore, then click "start restore" button, driver restoration process begins. After it finishes you may prompt to reboot your machine.


More Backup

You can back up more things of your computer easily and quickly!

Fist, click "More" button in the toolbar and a window with more backup and more restore function appears.

The More Backup window goes directly to function of backing up more items after it runs. More items which can be backed up include my document folder, fonts folder, registry, Internet Explorer favorite folder, Outlook Express mail file folder, Outlook Express mail rule, Outlook Express mail accounts and Outlook Express address book. Select the items you want to back up by clicking the checkbox before each one or just clicking the "Select All" button, then click "Start Backup" button, a dialog box will appear to let you select the directory to save your backup. After that, backup process begins and the selected items will be backed up to the directory you choose.


More Restore

More Restoration

You can restore more things of your computer from backup easily and quickly!

Fist, click "More" button in the toolbar and a window with more backup and more restoration function appears. Click "More Restore" button, a dialog box appears to ask you where your backup is saved. After selecting the backup directory, a list of items which you have backed up will shows in the listview.

Select the items you want to restore from backup by clicking the checkbox before each one or just clicking the "Select All" button and click "Start Restore" button, restoration process begins and the selected items will be restored to your computer.


Frequently Asked Questions

FAQ about use of Driver Magician

1. What's the difference between between "Search All Drivers" and "Search Non-Microsoft drivers" submenu in driver backup function window?
We all know that every Windows operation system is distributed with a lot of device driver packaged in it. So The difference between "Search All Drivers" and "Search Non-Microsoft drivers" is that the former one search all device drivers including those packaged within Microsoft Windows operation system while the latter one only search drivers not contained in Windows. Because devices drivers which are contained in Windows operation system are automatically installed when detected by it, so it is NOT necessary to back up them. To let you distinguish Microsoft provided drivers and Non-Microsoft provided drivers easily, the latter one shows in red font in Driver Magician.

2. What's the difference between between "Show All Backed-Up Drivers" and "Show Backed-Up Non-Microsoft drivers" submenu in driver restoration function window?
This question is the same as question one. The difference is that is that the former one shows all device drivers in the backup directory including those packaged within Microsoft Windows operation system while the latter one only show drivers not contained in Windows.

3. Driver version of some device drivers is blank, why?
Because installation files of these drivers doesn't include the driver version, so Driver Magician can't extract it. This often happens in Windows 98 and Windows Me.

4. During the driver restoration process, why does my computer seem to be no responses?
Device driver is in the lower layer of operation system, so during driver installation, settings of Windows operation system change according to the driver installed, this caused system to be no responses.

5. After Driver Magician runs, I find there is no driver in the listview, what happens?
Driver Magician goes directly to driver backup function window after it runs and all the Non-Microsoft drivers will show in the listview. If all the device drivers of your computer are provided by Microsoft, the listview is blank. This usually happens after you reinstall operation system just now. To show all the device driver in your computer, please click the "Search All Drivers" submenu of backup button in the toolbar.

6. I have backed up drivers of Windows 98 operation system, can I use it in Windows 2000 or Windows XP?
Some device drivers can be used in all Windows operation systems, but there are lots of device drivers which can only be use in certain operation systems, so if you are not certain please don't try to use drivers of one operation system in others.

7. When I restore device drivers of my computer using Driver Magician in Windows98/Me, Windows prompts me to insert driver disk, what happens?
You don't need to insert driver disk, please just click the OK button in the prompt dialog, if the same dialog appears again, just click the Ignore button. But when it prompt you to insert Windows CD-ROM, you should insert it. If you find your audio card is mute after driver restoration, please reboot your machine again and it will be OK. This happens only in Windows 98/Me operation system. Since they are old in all of Microsoft Windows, something is special.

8. When I restore device drivers in Windows XP, a "Find new hardware wizard" window appears, what should I do?
You don't need to do anything, just let it be. After drivers of the found hardware are restored, the "Find new hardware wizard" window will automatically disappear.

FAQ about registration of Driver Magician

1. Is my online order form secure?
Yes, it is 100% secure.

2. Do I have to pay for the upgrades?
No! All upgrades are free to registered Driver Magician users.

3. Is tech support free?
Yes, it's free for all.

4. What happens after I send in the order?
You will receive an email confirming your order shortly after sending the online order form. Then, within 24 hours, you will receive a second email with your registration name, code. If you do not get your code or if you've lost it, please email us at sales@drivermagician.com. Please include your name, address, email address, and order confirmation number (if you have it). We will be happy to help you.

5. I have entered the registration code, however the software reminds it's unregistered, why?
Perhaps you have entered a wrong registration code or name. Please check your name and registration code carefully and make sure they are exactly the same as you received from the author or an authorized reseller.

If you have any other questions please feel free to contact us at support@drivermagician.com


How to Purchase

This is not a free software. You can use this software for evaluation purposes only for a period of 15 days. After that time you should purchase it if you want to use it furthermore.

Driver Magician costs only $25 per license.
For site license please contact sales@drivermagician.com
You can choose one of the payment options you like.

1. Purchase on the web
Please click here to purchase in a secure site, Qwerks.com. It is an international E-commerce corporation and thousands of sharewares are sold by it for many years. It is the NO. one business partner of Driver Magician.
This is the recommended option, it's fast and secure. You will get your registration code within 24 hours.

2. Via Phone
You can purchase Driver Magician via phone, The phone number is as below:
1-888-447-1175 (US and Canada only, toll-free)
1-801-444-2837 (International)
Remember you should tell the representative the following information:
Program you wish to purchase: Driver Magician
Program ID: 6645
Your information (company, name, address,... etc.)
Your credit card info (type, number and expiration date)

For more information about order, visit our web site:
http://www.drivermagician.com


Contacts

Technical Support: support@drivermagician.com
 Bug report: bug@drivermagician.com
Sales and Register: sales@drivermagician.com
Reseller, Redistribution: distribute@drivermagician.com

For the most information, please visit our Web site at:
http://www.drivermagician.com